import 'package:equatable/equatable.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
part 'download_manual_event.dart';
part 'download_manual_state.dart';

class DownloadManualBloc extends Bloc<DownloadManualPartEvent, DownloadManualPartState>{
  DownloadManualBloc(DownloadManualPartState initialState) : super(initialState);

  @override
  Stream<DownloadManualPartState> mapEventToState(DownloadManualPartEvent event)
  async*{
    if(event is DownloadSignesAndRulesManualEvent){
      try{
        yield ManualSignesAndRulesPartEmptyState();

      }catch(exception){
        yield ManualSignesAndRulesPartErrorState();
      }
    }

    if(event is GetSavedSignesAndRulesManualPart){

    }

    if(event is UpdateSignesAndRulesManualEvent){

    }



    throw UnimplementedError();
  }
}